主题
用户数据与账户信息
GET /v3/appendix/user_data
本接口使用 GET 方法,路径为:
text
GET https://api.seermartech.cn/v3/appendix/user_data本接口用于查询当前账户的 API 使用、调用价格、消费金额、余额、调用限制、价格及订到期时间等信息。接口本身不收取调用费用。
接口返回 JSON 数据 tasks 数组本次请求对应的任务信息。
> 注意 > > - price 返回的价格 API 调用的基础价格,不额外付费参数产生的费用。 > - 价格与消费金额字段以人民币为单位,扣费以响应头 X-SeerMarTech-Charge-CNY 为准。 > - 建议客户端根据 status_code、tasks_error 和任务级错误信息实现异常处理。错误码详见 /v3/appendix/errors。
请求示例
cURL
bash
curl --location --request GET \
"https://api.seermartech.cn/v3/appendix/user_data" \
--header "Authorization: Bearer smt_live_YOUR_KEY" \
--header "Content-Type: application/json"Python
python
import requests
url = "https://api.seermartech.cn/v3/appendix/user_data"
headers = {
"Authorization": "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
if data.get("status_code") == 20000:
print(data)
else:
print(
"请求失败,错误码:%s,错误信息:%s"
% (data.get("status_code"), data.get("status_message"))
)TypeScript
typescript
import axios from "axios";
axios
.get("https://api.seermartech.cn/v3/appendix/user_data", {
headers: {
Authorization: "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json",
},
})
.then((response) => {
const result = response.data;
if (result.status_code === 20000) {
console.log(result);
} else {
console.error(
`请求失败,错误码:${result.status_code},错误信息:${result.status_message}`
);
}
})
.catch((error) => {
console.error("网络或服务请求异常:", error.message);
});响应结构
顶层字段
| 字段 | 类型 | 说明 |
|---|---|---|
version | string | 当前 API 版本 |
status_code | integer | 请求级状态码。完整错误码详见 /v3/appendix/errors |
status_message | string | 请求级状态说明 |
time | string | 请求总执行时间,单位为秒 |
cost | float | 平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。 |
tasks_count | integer | tasks 数组中的任务数量 |
tasks_error | integer | tasks 数组中返回错误的任务数量 |
tasks | array | 任务结果数组 |
任务字段
| 字段 | 类型 | 说明 |
|---|---|---|
id | string | 任务唯一标识,UUID 格式 |
status_code | integer | 任务状态码,通常位于 10000 至 60000 范围 |
status_message | string | 任务状态说明 |
time | string | 任务执行时间,单位为秒 |
cost | float | 平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。 |
result_count | integer | result 数组中的数量 |
path | array | 请求路径 |
data | array | GET 请求中传的请求参数 |
result | array | 任务结果数组 |
账户信息字段
账户信息通常位于 tasks[0].result[0] 中。
| 字段 | 类型 | 说明 |
|---|---|---|
login | string | 当前账户登录标识 |
timezone | string | 当前账户时区,可在账户中设置 |
rates | object | API 价格 |
money | object | 账户资金信息 |
backlinks_subscription_expiry_date | string / null | Backlinks API 订到期时间,UTC 格式为 yyyy-MM-dd HH:mm:ss +00:00 |
llm_mentions_subscription_expiry_date | string / null | LLM Mentions API 订到期时间,UTC 格式为 yyyy-MM-dd HH:mm:ss +00:00 |
如果对应订未开通,订到期字段返回 null。
rates 价格
rates 对象按 API、功能、调用方式和任务优级嵌套组织。结构取决于当前账户可用的 API 产品。
常见层级如下:
text
rates
└── $api_name
└── $func_name
└── $func_type
└── $priority| 字段 | 类型 | 说明 |
|---|---|---|
$api_name | object | 上级 API 名称 |
$func_name | object | 功能名称 |
$func_type | object / integer | 功能类型,部分场景可能直接为整数 |
$priority | object | 任务优级 |
priority_low | float | 低优级价格 |
priority_normal | float | 普通优级价格 |
priority_high | float | 高优级价格 |
cost_type | string | 计费方式 |
cost | float | 平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。 |
任务优级
$priority 支持以下值:
priority_lowpriority_normalpriority_high
计费方式
cost_type 支持以下值:
| 值 | 说明 |
|---|---|
per_result | 按 result 数组中的每一行结果计费 |
per_request | 按一次 GET 或 POST 请求计费 |
参考价约 ¥0.0320 / 次。价格以账户返回的 rates置及响应头 X-SeerMarTech-Charge-CNY 为准。
limits 调用限制
limits 对象表示账户在指定时间周期的调用次数限制。
结构
text
limits
└── $type_of_grouping
└── $func_name
└── $func_type| 字段 | 类型 | 说明 |
|---|---|---|
$type_of_grouping | object | 统计周期类型 |
$func_name | object | 功能名称 |
$func_type | object / integer | 功能类型 |
$func_name | integer | 对应功能的调用次数限制 |
total_$func_name | integer | 对应功能的总调用次数限制 |
$type_of_grouping 支持:
day:按天限制minute:按分钟限制
statistics 调用统计
statistics 对象表示指定时间周期的 API 调用次数。
结构
text
statistics
└── $type_of_grouping
└── $func_name
└── $func_type| 字段 | 类型 | 说明 |
|---|---|---|
$type_of_grouping | object | 统计周期类型,可为 day 或 minute |
$func_name | object | 功能名称 |
$func_type | object / integer | 功能类型 |
$func_name | integer | 对应功能的调用次数 |
total_$func_name | integer | 对应功能的累计调用次数 |
value | string | 统计时间段 |
时间格式:
day:yyyy-MM-ddminute:yyyy-MM-dd HH:mm
money 账户资金信息
money 对象表示账户金额与当前余额,金额单位为人民币。
| 字段 | 类型 | 说明 |
|---|---|---|
total | float | 累计金额 |
balance | float | 当前账户余额 |
limits 消费限制
在资金信息结构中,limits 表示按功能划分的消费额度限制。
| 字段 | 类型 | 说明 |
|---|---|---|
$type_of_grouping | object | 消费统计周期,可为 day 或 minute |
$func_name | object | 功能名称 |
$func_type | object / integer | 功能类型 |
$func_name | integer | 某项功能的消费限制 |
total_$func_name | integer | 某项功能的累计消费限制 |
statistics 消费统计
消费统计结构与调用统计类似,用于记录不同 API 功能的消费金额。
| 字段 | 类型 | 说明 |
|---|---|---|
$type_of_grouping | object | 统计周期,可为 day 或 minute |
$func_name | object | 功能名称 |
$func_type | object / integer | 功能类型 |
$func_name | integer | 某项功能的消费金额 |
total_$func_name | integer | 某项功能的累计消费金额 |
value | string | 统计时间段 |
订到期时间
backlinks_subscription_expiry_date
Backlinks API 当前订的到期时间。
格式:
text
yyyy-MM-dd HH:mm:ss +00:00示例:
text
2050-01-01 00:00:00 +00:00未开通订时返回:
json
nullllm_mentions_subscription_expiry_date
LLM Mentions API 当前订的到期时间。
格式:
text
yyyy-MM-dd HH:mm:ss +00:00示例:
text
2026-02-28 14:01:38 +00:00未开通订时返回:
json
null响应示例
以下示例展示主要响应结构。rates、调用限制和统计字段会根据账户权限及已开通产品动态返回,完整价格树可能多个 API 产品和功能。
json
{
"version": "0.1.20250526",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.1656 sec.",
"cost": 0,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "00000000-0000-0000-0000-000000000000",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.1600 sec.",
"cost": 0,
"result_count": 1,
"path": [
"v3",
"appendix",
"user_data"
],
"data": {
"api": "appendix",
"function": "user_data"
},
"result": [
{
"login": "your_account",
"timezone": "Asia/Shanghai",
"rates": {
"appendix": {
"user_data": {
"priority_normal": {
"cost_type": "per_request",
"cost": 0
}
}
},
"serp": {
"task_post": {
"priority_low": 0,
"priority_normal": 0,
"priority_high": 0
}
},
"dataforseo_labs": {
"keyword_overview": {
"live": {
"priority_low": 0,
"priority_normal": 0,
"priority_high": 0
}
}
}
},
"limits": {
"day": {
"task_post": {
"priority_normal": 10000,
"total_task_post": 100000
}
},
"minute": {
"live": {
"priority_normal": 100,
"total_live": 1000
}
}
},
"statistics": {
"day": {
"task_post": {
"priority_normal": 320,
"total_task_post": 12500
},
"value": "2025-06-15"
},
"minute": {
"live": {
"priority_normal": 5,
"total_live": 18
},
"value": "2025-06-15 12:57"
}
},
"money": {
"total": 1000.00,
"balance": 856.40
},
"backlinks_subscription_expiry_date": "2050-01-01 00:00:00 +00:00",
"llm_mentions_subscription_expiry_date": "2026-02-28 14:01:38 +00:00"
}
]
}
]
}状态码处理
客户端应至少检查以下字段:
- 顶层
status_code - 顶层
tasks_error - 任务级
tasks[].status_code - 任务级
tasks[].status_message
当 status_code 为 20000 时,表示请求成功。状态码表示请求或任务存在异常,错误码请参考 /v3/appendix/errors。
实用场景
- 监控账户余额和消费金额,在余额不足或达到预算阈值前触发告警, SEO 批量任务中断。
- 读取各 API 功能的价格,在研究、SERP 监控和外链分析任务执行前估算项目成本。
- 统计不同功能的日调用量和分钟调用量,识别高频接口并优化任务调度策略。
- 校验 API 调用限制,根据每日或每分钟额动态控制并发,降低限流和任务失败概率。
- 检查 Backlinks 与 LLM Mentions 订到期时间,提前安排续期,保证外链监测和提及分析服务连续运行。